org.eclipse.oomph.targlets.core

## Class TargletContainerEvent.ProfileUpdateSucceededEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.oomph.targlets.core.TargletContainerEvent
    - - org.eclipse.oomph.targlets.core.TargletContainerEvent.ProfileUpdateSucceededEvent

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    TargletContainerEvent

      public static class TargletContainerEvent.ProfileUpdateSucceededEvent
      extends TargletContainerEvent

  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.targlets.core.TargletContainerEvent

      `TargletContainerEvent.IDChangedEvent, TargletContainerEvent.ProfileUpdateFailedEvent, TargletContainerEvent.ProfileUpdateSucceededEvent, TargletContainerEvent.TargletsChangedEvent, TargletContainerEvent.WorkspaceUpdateFinishedEvent`

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargletContainerEvent.ProfileUpdateSucceededEvent(ITargletContainer source, ITargletContainerDescriptor descriptor, Profile profile, List<IMetadataRepository> metadataRepositories, IProvisioningPlan provisioningPlan, Map<IInstallableUnit,WorkspaceIUInfo> workspaceIUInfos)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<IMetadataRepository>` | `getMetadataRepositories()`
    `Profile` | `getProfile()`
    `IProvisioningPlan` | `getProvisioningPlan()`
    `Map<IInstallableUnit,WorkspaceIUInfo>` | `getWorkspaceIUInfos()`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.targlets.core.TargletContainerEvent

      `getDescriptor, getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TargletContainerEvent.ProfileUpdateSucceededEvent

          public TargletContainerEvent.ProfileUpdateSucceededEvent(ITargletContainer source,
                                                           ITargletContainerDescriptor descriptor,
                                                           Profile profile,
                                                           List<IMetadataRepository> metadataRepositories,
                                                           IProvisioningPlan provisioningPlan,
                                                           Map<IInstallableUnit,WorkspaceIUInfo> workspaceIUInfos)

  - ### Method Detail

    - #### getProfile

          public final Profile getProfile()

    - #### getMetadataRepositories

          public final List<IMetadataRepository> getMetadataRepositories()

    - #### getProvisioningPlan

          public final IProvisioningPlan getProvisioningPlan()

    - #### getWorkspaceIUInfos

          public final Map<IInstallableUnit,WorkspaceIUInfo> getWorkspaceIUInfos()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html